websocket-sharp 1.0.2.36581 System.Object Provides a set of static methods for the websocket-sharp. To be added.
- Method
  1.0.2.36581
  WebSocketSharp.Net.Sockets.TcpListenerWebSocketContext `` `` A that contains a TCP connection to accept a WebSocket connection from. A that indicates a secure connection or not. (true indicates a secure connection.) Accept a WebSocket connection by the . A that contains a WebSocket connection. To be added. Is thrown when the parameter passed to a method is invalid because it is .
- Method
  1.0.2.36581
  System.Void `` `` `` An to emit. An that emits the . An that contains no event data. Emit the specified delegate if is not . To be added.
- Method
  1.0.2.36581
  System.Void System.EventArgs `` `` `` The type of the event data generated by the event. An EventHandler<TEventArgs> to emit. An that emits the . A TEventArgs that contains the event data. Emit the specified EventHandler<TEventArgs> delegate if is not . To be added.
- Method
  1.0.2.36581
  System.Boolean `` `` `` An to compare. A to compare. A List<byte> to save the as . Determines whether the specified equals the specified as . And save this specified as to the specified List<byte>. true if the parameter equals the parameter as ; otherwise, false. To be added. Is thrown when the parameter passed to a method is invalid because it is outside the allowable range of values as .
- Method
  1.0.2.36581
  System.Boolean `` `` A that contains the entries. A that contains the key of the entry to find. Determines whether the entry with the specified key exists in the specified . true if the entry with the exists in the ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` `` `` A that contains the entries. A that contains the key of the entry to find. A that contains the value of the entry to find. Determines whether the entry with the specified both key and value exists in the specified . true if the entry with the both and exists in the ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.String `` A that contains the URI to get the absolute path from. Gets the absolute path from the specified . A that contains the absolute path if got successfully; otherwise, . To be added.
- Method
  1.0.2.36581
  System.String `` One of values that contains the HTTP status code. Gets the description of the HTTP status code using the specified code. A that contains the description of the . To be added.
- Method
  1.0.2.36581
  System.String `` `` A that contains a pair of name and value are separated by a separator string. A that contains a separator string. Gets the name from the specified that contains a pair of name and value are separated by a separator string. A that contains the name if any; otherwise, null. To be added.
- Method
  1.0.2.36581
  System.Collections.Generic.KeyValuePair<System.String,System.String> `` `` A that contains a pair of name and value are separated by a separator string. A that contains a separator string. Gets the name and value from the specified that contains a pair of name and value are separated by a separator string. A KeyValuePair<string, string> that contains the name and value if any. To be added.
- Method
  1.0.2.36581
  System.String `` An that contains the HTTP status code. Gets the description of the HTTP status code using the specified code. A that contains the description of the . To be added.
- Method
  1.0.2.36581
  System.String `` `` A that contains a pair of name and value are separated by a separator string. A that contains a separator string. Gets the value from the specified that contains a pair of name and value are separated by a separator string. A that contains the value if any; otherwise, null. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A to test. Determines whether the specified is a . true if the parameter is a ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A to test. Determines whether the specified is host (this computer architecture) byte order. true if the parameter is host byte order; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean ReferenceTypeConstraint `` The type of the parameter. A class to test. Determines whether the specified object is . true if the parameter is ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean ReferenceTypeConstraint `` `` The type of the parameter. A class to test. An delegate that contains the method(s) called if the is . Determines whether the specified object is . And invokes the specified delegate if the specified object is . true if the parameter is ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A to test. Determines whether the specified is or . true if the parameter is or ; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A to test. Determines whether the specified is predefined scheme. true if the parameter is the predefined scheme; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` `` A to test. A that receives a message if the is invalid. Determines whether the specified is valid absolute path. true if the parameter is valid absolute path; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A to test. Determines whether the specified is a URI string. true if the parameter is maybe a URI string; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` `` `` The first to compare. The second to compare. A that indicates a case-sensitive or insensitive comparison. (true indicates a case-insensitive comparison.) Determines whether two specified objects don't have the same value. true if the value of parameter isn't the same as the value of parameter; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Byte[] `` `` A that contains the data to read. An that contains the number of bytes to read. Reads a block of bytes from the specified stream and returns the read data in an array of . An array of that receives the read data. To be added.
- Method
  1.0.2.36581
  System.Byte[] `` `` A that contains the data to read. A that contains the number of bytes to read. Reads a block of bytes from the specified stream and returns the read data in an array of . An array of that receives the read data. To be added.
- Method
  1.0.2.36581
  System.Byte[] `` `` `` A that contains the data to read. A that contains the number of bytes to read. An that contains the buffer size in bytes of each internal read. Reads a block of bytes from the specified stream and returns the read data in an array of . An array of that receives the read data. To be added.
- Method
  1.0.2.36581
  T[] `` `` `` The type of elements in the . An array of T that contains the data to retrieve a sub-array. An that contains the zero-based starting position of a sub-array in the . An that contains the number of elements to retrieve a sub-array. Retrieves a sub-array from the specified . A sub-array starts at the specified element position. An array of T that receives a sub-array, or an empty array of T if any problems with the parameters. To be added.
- Method
  1.0.2.36581
  System.Void `` `` An that contains the number of times to execute. An delegate that contains the method(s) to execute. Executes the specified delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` An that contains the number of times to execute. An Action<ulong> delegate that contains the method(s) to execute. A parameter to pass to this method(s) contains the zero-based count of iteration. Executes the specified Action<ulong> delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An delegate that contains the method(s) to execute. Executes the specified delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An Action<ulong> delegate that contains the method(s) to execute. A parameter to pass to this method(s) contains the zero-based count of iteration. Executes the specified Action<ulong> delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An delegate that contains the method(s) to execute. Executes the specified delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An Action<ulong> delegate that contains the method(s) to execute. A parameter to pass to this method(s) contains the zero-based count of iteration. Executes the specified Action<ulong> delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An delegate that contains the method(s) to execute. Executes the specified delegate times. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the number of times to execute. An Action<ulong> delegate that contains the method(s) to execute. A parameter to pass to this method(s) contains the zero-based count of iteration. Executes the specified Action<ulong> delegate times. To be added.
- Method
  1.0.2.36581
  T DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` The type of the return value. The T must be a value type. An array of to convert. A that indicates the byte order of the . Converts the specified array of to the specified type data. A T converted from the , or a default value of T if the is an empty array of or if the types of T aren't the , , , , , , , , , . To be added. Is thrown when the parameter passed to a method is invalid because it is .
- Method
  1.0.2.36581
  System.Byte[] DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` The type of the . The T must be a value type. A T to convert. A that indicates the byte order of the return. Converts the specified data to an array of . An array of converted from the . To be added.
- Method
  1.0.2.36581
  System.Byte[] `` `` An array of to convert. A that indicates the byte order of the . Converts the order of the specified array of to the host byte order. An array of converted from the . To be added. Is thrown when the parameter passed to a method is invalid because it is .
- Method
  1.0.2.36581
  System.String `` `` The type of elements in the . An array of T to convert. A that contains a separator string. Converts the specified array to a concatenated the specified separator string between each element of this array. A converted from the parameter, or a if the length of the is zero. To be added. Is thrown when the parameter passed to a method is invalid because it is .
- Method
  1.0.2.36581
  System.Uri `` A to convert. Converts the specified to a object. A converted from the parameter, or if the is or . To be added.
- Method
  1.0.2.36581
  System.Boolean `` `` `` A that contains a WebSocket URI. When this method returns, contains a created WebSocket if the parameter is valid WebSocket URI; otherwise, . When this method returns, contains a error message if the parameter is invalid WebSocket URI; otherwise, String.Empty. Tries to create a new WebSocket using the specified . true if the WebSocket was successfully created; otherwise, false. To be added. Is thrown when the parameter passed to a method is invalid because it is .
- Method
  1.0.2.36581
  System.String `` A to decode. URL-decodes the specified . A that receives a decoded string, or the parameter if the is or . To be added.
- Method
  1.0.2.36581
  System.String `` A to encode. URL-encodes the specified . A that receives a encoded string, or the parameter if the is or . To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains a network stream to write a content data. An array of that contains a content data to write. Writes the specified content data using the specified . To be added. Is thrown when the parameter passed to a method is invalid because it is .